# $Revision: 1.12 $, $Date: 2010/10/28 05:41:57 $
%define		pkgname	orange
Summary:	SynCE Orange - a tool capable to get installable MS Cabinet Files from installers
Summary(pl.UTF-8):	SynCE Orange - narzędzie zdolne do wydobycia plików MS Cabinet z instalatorów
Name:		synce-%{pkgname}
Version:	0.4
Release:	3
License:	MIT
Group:		Applications
Source0:	http://downloads.sourceforge.net/synce/lib%{pkgname}-%{version}.tar.gz
# Source0-md5:	40e9ac3de389c74a60007f7493e072a5
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRequires:	synce-dynamite-libs-devel
BuildRequires:	synce-libsynce-devel
BuildRequires:	synce-unshield-libs-devel
BuildRequires:	zlib-devel
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orange is a tool for squeezing out juicy installable Microsoft Cabinet
Files from self-extracting installers for Microsoft Windows and some
other installer file formats.

%description -l pl.UTF-8
Orange jest narzędziem umożliwiającym wydobycie z samorozpakowujących
się instalatorów przeznaczonych dla Microsoft Windows plików Microsoft
Cabinet.

%package libs
Summary:	The Orange library
Summary(pl.UTF-8):	Biblioteka Orange
Group:		Libraries

%description libs
The Orange library.

%description libs -l pl.UTF-8
Biblioteka Orange.

%package libs-devel
Summary:	Header files for the Orange library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Orange
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	synce-dynamite-libs-devel
Requires:	synce-libsynce-devel
Requires:	synce-unshield-libs-devel

%description libs-devel
Header files for the Orange library.

%description libs-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Orange.

%package libs-static
Summary:	Static Orange library
Summary(pl.UTF-8):	Statyczna biblioteka Orange
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
Static Orange library.

%description libs-static -l pl.UTF-8
Statyczna biblioteka Orange.

%prep
%setup -q -n lib%{pkgname}-%{version}

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc LICENSE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/orange.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborange.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/liborange.so.?

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/liborange.so
%{_libdir}/liborange.la
%{_pkgconfigdir}/liborange.pc
%{_includedir}/liborange.h
%{_includedir}/liborange_stub.h

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/liborange.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-orange.spec,v $
Revision 1.12  2010/10/28 05:41:57  glen
- typo

Revision 1.11  2010/10/28 05:39:41  glen
- -devel deps (from .pc file); rel 2

Revision 1.10  2010/06/15 22:57:42  arvenil
- up to 0.4
- added ghost

Revision 1.9  2008/10/24 11:15:23  adamg
- updated to 0.3.2
- pc.patch applied upstream

Revision 1.8  2007-12-18 12:58:10  glen
- rel 3

Revision 1.7  2007-11-12 00:36:04  glen
- add patch and pkgconfig file; rel 2

Revision 1.6  2007-02-12 22:09:16  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.4  2006/12/11 21:30:01  glen
- new URL

Revision 1.3  2005/10/30 23:24:01  qboosh
- deps really fixed

Revision 1.2  2005/10/30 23:22:10  qboosh
- libs Group, deps fixes

Revision 1.1  2005/10/29 23:13:28  prism
- new in PLD
